## org.eclipse.datatools.modelbase.sql.query
Interface PredicateBetween

All Superinterfaces:
  Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  PredicateBetweenImpl

public interface PredicateBetween
extends Predicate

A representation of the model object 'SQL Predicate Between'.

The following features are supported:

- `Not Between`
- `Left Value Expr`
- `Right Value Expr1`
- `Right Value Expr2`

See Also:
  `SQLQueryModelPackage.getPredicateBetween()`

Method Summary
`QueryValueExpression` `getLeftValueExpr()` Returns the value of the 'Left Value Expr' containment reference.
`QueryValueExpression` `getRightValueExpr1()` Returns the value of the 'Right Value Expr1' containment reference.
`QueryValueExpression` `getRightValueExpr2()` Returns the value of the 'Right Value Expr2' containment reference.
`boolean` `isNotBetween()` Returns the value of the 'Not Between' attribute.
`void` `setLeftValueExpr(QueryValueExpression value)` Sets the value of the '`Left Value Expr`' containment reference.
`void` `setNotBetween(boolean value)` Sets the value of the '`Not Between`' attribute.
`void` `setRightValueExpr1(QueryValueExpression value)` Sets the value of the '`Right Value Expr1`' containment reference.
`void` `setRightValueExpr2(QueryValueExpression value)` Sets the value of the '`Right Value Expr2`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotBetween

    public boolean isNotBetween()

  Returns the value of the 'Not Between' attribute.

  If the meaning of the 'Not Between' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Not Between' attribute.
  See Also:
    `setNotBetween(boolean)`, `SQLQueryModelPackage.getPredicateBetween_NotBetween()`

### setNotBetween

    public void setNotBetween(boolean value)

  Sets the value of the '`Not Between`' attribute.

  Parameters:
    `value` - the new value of the 'Not Between' attribute.
  See Also:
    `isNotBetween()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Returns the value of the 'Left Value Expr' containment reference. It is bidirectional and its opposite is '`Between Left`'.

  If the meaning of the 'Left Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_LeftValueExpr()`, `QueryValueExpression.getBetweenLeft()`

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression value)

  Sets the value of the '`Left Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `getLeftValueExpr()`

### getRightValueExpr1

    public QueryValueExpression getRightValueExpr1()

  Returns the value of the 'Right Value Expr1' containment reference. It is bidirectional and its opposite is '`Between Right1`'.

  If the meaning of the 'Right Value Expr1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr1' containment reference.
  See Also:
    `setRightValueExpr1(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr1()`, `QueryValueExpression.getBetweenRight1()`

### setRightValueExpr1

    public void setRightValueExpr1(QueryValueExpression value)

  Sets the value of the '`Right Value Expr1`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr1' containment reference.
  See Also:
    `getRightValueExpr1()`

### getRightValueExpr2

    public QueryValueExpression getRightValueExpr2()

  Returns the value of the 'Right Value Expr2' containment reference. It is bidirectional and its opposite is '`Between Right2`'.

  If the meaning of the 'Right Value Expr2' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr2' containment reference.
  See Also:
    `setRightValueExpr2(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr2()`, `QueryValueExpression.getBetweenRight2()`

### setRightValueExpr2

    public void setRightValueExpr2(QueryValueExpression value)

  Sets the value of the '`Right Value Expr2`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr2' containment reference.
  See Also:
    `getRightValueExpr2()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.